Get payment information
GET https://wallet.paysera.com/rest/v1/payment/{paymentId}
Get payment details including current status
Authorization​
This endpoint requires MAC (Message Authentication Code) authentication.
Authorization Header Format:
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"
Example:
Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"
For more details, see the Authentication section.
Parameters​
Path Parameters​
| Name | Type | Required | Description |
|---|---|---|---|
paymentId | integer | ✓ | Payment identifier |
Example​
Request​
GET https://wallet.paysera.com/rest/v1/payment/{paymentId}
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"
Response​
{
"id": 2987,
"transaction_key": "pDAlAZ3z",
"created_at": 1355314332,
"status": "new",
"price": 1299,
"currency": "EUR",
"price_decimal": "12.99",
"freeze": {
"for": 0
},
"description": "Payment for order No. 1234",
"parameters": {
"orderid": 1234
}
}
AUTHORIZATION: HTTP
REQUEST
Base URL
https://wallet.paysera.com
RESPONSE
Payment information retrieved
{
"id": 2987,
"transaction_key": "pDAlAZ3z",
"created_at": 1355314332,
"status": "new",
"price": 1299,
"currency": "EUR",
"price_decimal": "12.99",
"freeze": {
"for": 0
},
"description": "Payment for order No. 1234",
"parameters": {
"orderid": 1234
}
}